#include <iostream>
#include <vector>
using namespace std;

int main()
{
    int n, l,br=0;
    cin >> n >> l;
    vector<int> x(n);
    for (int i = 0; i < n; i++)
    {
        cin >> x[i];
        if (x[i] <= l)
        {
            cout << i+1;
            return 0;
        }
    }
    cout << -1;
    return 0;
}